#ifndef INCLUDED_luxe_utils_json_JSONParseError
#define INCLUDED_luxe_utils_json_JSONParseError

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS3(luxe,utils,json,JSONParseError)
namespace luxe{
namespace utils{
namespace json{


class HXCPP_CLASS_ATTRIBUTES  JSONParseError_obj : public hx::Object{
	public:
		typedef hx::Object super;
		typedef JSONParseError_obj OBJ_;
		JSONParseError_obj();
		Void __construct(::String __o_message,hx::Null< int >  __o_location,::String __o_text);

	public:
		inline void *operator new( size_t inSize, bool inContainer=true)
			{ return hx::Object::operator new(inSize,inContainer); }
		static hx::ObjectPtr< JSONParseError_obj > __new(::String __o_message,hx::Null< int >  __o_location,::String __o_text);
		static Dynamic __CreateEmpty();
		static Dynamic __Create(hx::DynamicArray inArgs);
		//~JSONParseError_obj();

		HX_DO_RTTI;
		static void __boot();
		static void __register();
		void __Mark(HX_MARK_PARAMS);
		void __Visit(HX_VISIT_PARAMS);
		::String __ToString() const { return HX_CSTRING("JSONParseError"); }

		int _location;
		::String _text;
		::String name;
		::String text;
		int location;
		::String message;
		virtual int get_location( );
		Dynamic get_location_dyn();

		virtual ::String get_text( );
		Dynamic get_text_dyn();

		virtual ::String toString( );
		Dynamic toString_dyn();

};

} // end namespace luxe
} // end namespace utils
} // end namespace json

#endif /* INCLUDED_luxe_utils_json_JSONParseError */ 
